Bug 998465 - Review Request: perl-true - Automatically return a true value when a file is required
Review Request: perl-true - Automatically return a true value when a file is ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 998496
  Show dependency treegraph
 
Reported: 2013-08-19 07:31 EDT by Paul Howarth
Modified: 2013-08-30 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-true-0.18-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 18:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-08-19 07:31:14 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-true/branches/fedora/perl-true.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-true/perl-true-0.18-2.fc20.src.rpm

Description:
Perl's require built-in (and its use wrapper) requires the files it loads to
return a true value. This is usually accomplished by placing a single

	1; 

statement at the end of included scripts or modules. It's not onerous to add
but it's a speed bump on the Perl novice's road to enlightenment. In addition,
it appears to be a non-sequitur to the uninitiated, leading some to attempt to
mitigate its appearance with a comment:

	1; # keep require happy
or:
	1; # Do not remove this line
or even:
	1; # Must end with this, because Perl is bogus.

This module packages this "return true" behavior so that it need not be
written explicitly. It can be used directly, but it is intended to be invoked
from the import method of a Modern::Perl-style module that enables modern Perl
features and conveniences and cleans up legacy Perl warts.

Fedora Account System Username: pghmcfc
Comment 1 Jitka Plesnikova 2013-08-22 06:37:19 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated

===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

Rpmlint
-------
Checking: perl-true-0.18-2.fc21.x86_64.rpm
          perl-true-debuginfo-0.18-2.fc21.x86_64.rpm
          perl-true-0.18-2.fc21.src.rpm
perl-true.x86_64: W: spelling-error %description -l en_US sequitur -> requiter
perl-true.src: W: spelling-error %description -l en_US sequitur -> requiter
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Rpmlint ok

$ rpm -qp --provides ../results/perl-true-0.18-2.fc21.x86_64.rpm  | sort | uniq -c
      1 perl(true) = 0.18
      1 perl(true::VERSION) = 0.18
      1 perl-true = 0.18-2.fc21
      1 perl-true(x86-64) = 0.18-2.fc21
Provides ok

$ rpm -qp --requires ../results/perl-true-0.18-2.fc21.x86_64.rpm  | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libperl.so.5.18()(64bit)
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(B::Hooks::OP::Annotation)
      1 perl(B::Hooks::OP::Check)
      1 perl(Devel::StackTrace)
      1 perl(XSLoader)
      1 perl(strict)
      1 perl(true)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Requires ok

MD5-sum check
-------------
http://cpan.metacpan.org/authors/id/C/CH/CHOCOLATE/true-0.18.tar.gz :
  CHECKSUM(SHA256) this package     : ff3d041eb2a522ec6194d7a3888325e8a3ef2238ab51452f0b547696be0b4594
  CHECKSUM(SHA256) upstream package : ff3d041eb2a522ec6194d7a3888325e8a3ef2238ab51452f0b547696be0b4594

Package is good.
Approved
Comment 2 Paul Howarth 2013-08-22 06:45:28 EDT
New Package SCM Request
=======================
Package Name: perl-true
Short Description: Automatically return a true value when a file is required
Owners: pghmcfc
Branches: F-19 F-20
InitialCC: perl-sig

Thanks for the review Jitka.
Comment 3 Gwyn Ciesla 2013-08-22 08:28:25 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-08-22 11:27:56 EDT
perl-true-0.18-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-true-0.18-2.fc19
Comment 5 Fedora Update System 2013-08-22 20:33:00 EDT
perl-true-0.18-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 6 Fedora Update System 2013-08-30 18:59:16 EDT
perl-true-0.18-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.